﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Services;
using PDFProcessingWrapper;

namespace WebApplication1
{
    public partial class Default : System.Web.UI.Page
    {
        [WebMethod]
        public static string MergePDFFiles(string strInputPDFFile1, string strInputPDFFile2)
        {
            var myUniqueFileName = string.Format(@"{0}.pdf", Guid.NewGuid());

            PDFProcessing obj = new PDFProcessing();

            string stroutpath = HttpContext.Current.Server.MapPath("~/output/" + myUniqueFileName);

            string strinputpath1 = HttpContext.Current.Server.MapPath("~/uploads/" + strInputPDFFile1);
            string strinputpath2 = HttpContext.Current.Server.MapPath("~/uploads/" + strInputPDFFile2);


            bool bResult = obj.Merge(strinputpath1, strinputpath2, stroutpath);

            if (bResult)
                return "Merged PDF files Successful";
            else
                return "Merged PDF files Failed";
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            string strResult = MergePDFFiles("test1.pdf","test2.pdf");

            Response.Write(strResult);
        }
    }
}